; assumptions about the starting envionment
cpu 8086
org 0x0000

_startup:
  mov ax, cs
  mov ss, ax
  mov sp, 0x0000
  ; <0x0010 is BIOS segment when relocated to HMA
  ; so we need a nop sled
  times (0x10 - ($-$$)) nop
main:
  call intr_init

  int 3

  sti
.halt:
  hlt
  jmp .halt

%include "heap.asm"
%include "intr.asm"
%include "debug.asm"
%include "kprintf.asm"

_reloc_end:

align 16
heap:
